package com.ruoyi.cai.notice.data;

import com.ruoyi.cai.notice.data.child.MessageSendOnlineAttentionData;
import com.ruoyi.cai.notice.data.child.MessageSendRechargeWindowsAmountData;
import com.ruoyi.cai.notice.enums.MessageBaseTypeEnum;
import lombok.Data;

@Data
public class MessageSendOnlineAttentionNew extends MessageBaseData{

    private MessageSendOnlineAttentionData data;

    public MessageSendOnlineAttentionNew(MessageBaseTypeEnum typeEnum) {
        this.setType(typeEnum.getCode());
    }

    public MessageSendOnlineAttentionNew() {
    }

}
